﻿

@section scripts{
    <script src="~/ADMIN/JS/moment.js"></script>
    <script src="~/ADMIN/JS/moment-jalaali.js"></script>
    <script src="~/ADMIN/JS/persian-date.js"></script>
    <script src="~/ADMIN/JS/persian-datepicker-0.4.5.js"></script>
}

@section Styles{
        <link href="~/ADMIN/Content/Styles/persian-datepicker-0.4.5.css" rel="stylesheet" />
    }

<div class="wrapper-grid">
    <div class="k-rtl">
        @(Html.Kendo().Grid<LawMingo.Models.DomainModel.Author>()
      .Name("grid")
      .Columns(columns =>
      {
          columns.Bound(c => c.Image).Width(100).Sortable(false).Filterable(false).ClientTemplate("#=_DisplayImage(Image, 'Subjects')#"); ;
          columns.Bound(c => c.Icon).Width(100).Sortable(false).Filterable(false).ClientTemplate("#=_DisplayImage(Icon, 'Subjects')#"); ;
          columns.Bound(c => c.Title);
          columns.Bound(c => c.Color).Width(100).Sortable(false).Filterable(false).ClientTemplate("#=_DisplayColor(Color)#");
          columns.Bound(c => c.FontColor).Width(100).Sortable(false).Filterable(false).ClientTemplate("#=_DisplayColor(FontColor)#");
          columns.Command(command => { command.Edit().Text("ویرایش"); command.Destroy().Text("حذف"); }).Width(300);
      })
      .ToolBar(toolbar =>
        {
          toolbar.Create().Text("نویسنده جدید");
      })
      .ColumnMenu()
        .Editable(editable => editable.Mode(GridEditMode.PopUp).Window(q => q.Width(800)))
        .Pageable(pageable =>
            pageable
            .Refresh(true)
            .Input(true)
            .PageSizes(true)
            .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
        )
      .Navigatable()
      .Selectable(selectable =>
              {
          selectable.Mode(GridSelectionMode.Single);
          selectable.Type(GridSelectionType.Row);
      })
      .Sortable(sortable =>
        {
          sortable.SortMode(GridSortMode.SingleColumn);
      })
      .Filterable()
        .Scrollable(s => s.Height("auto").Enabled(false))
      .DataSource(dataSource => dataSource
          .Ajax()
          .Model(model => model.Id(p => p.AuthorID))
          .Read(read => read.Action("Authors_Read", "Authors"))
          .Create(create => create.Action("Authors_Create", "Authors"))
          .Update(update => update.Action("Authors_Update", "Authors"))
          .Destroy(destroy => destroy.Action("Authors_Destroy", "Authors"))
      )
        
    )

    </div>
</div>
